Documentation Index

Fetch the complete documentation index at: https://docs.supermetrics.com/llms.txt

Use this file to discover all available pages before exploring further.

Create licenses for a workspace license pool

Prev Next
Post
/v1/teams/{team_id}/workspaces/{workspace_uuid}/license-pool/licenses

Create licenses for a workspace license pool

Security
HTTP
Type bearer

API key authentication. Create API keys in the Supermetrics Hub and send them in the Authorization header: Authorization: Bearer <your-api-key>

Path parameters
team_id
integer (int64) Required

The ID of the team

Minimum1
Maximum9223372036854776000
Example936506
workspace_uuid
string (uuid) Required

UUID of the workspace associated with the license pool

Max length36
Pattern^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example71bc0582-31b5-11f1-a55c-4201ac182030
Body parameters

License creation details

{
  "target_workspaces_uuid_list": [
    "71bc0582-31b5-11f1-a55c-4201ac182030"
  ],
  "data_sources": [
    "GA4",
    "GADS"
  ],
  "destinations": [
    "google_sheets",
    "excel"
  ],
  "seats_number": 5,
  "max_accounts_per_data_source": 3
}
object
target_workspaces_uuid_list
Array of string Required

Target workspaces to create licenses for

Max items100
Example[ "71bc0582-31b5-11f1-a55c-4201ac182030" ]
string (uuid)
Max length36
data_sources
Array of string Required

Data sources to include in the license

Max items100
Example[ "GA4", "GADS" ]
string
Max length255
Pattern^.+
destinations
Array of string Required

Destinations to include in the license

Max items50
Example[ "google_sheets", "excel" ]
string
Max length255
Pattern^.+
seats_number
integer (int64) Required

Number of seats for the license

Minimum1
Maximum9223372036854776000
Example5
max_accounts_per_data_source
integer (int64) Required

Maximum number of accounts per data source

Minimum1
Maximum9223372036854776000
Example3
Responses
200

Licenses created successfully

object

Result of a license creation request

result
boolean

Whether the licenses were created successfully

Exampletrue
400

Bad request — invalid or missing parameters

object
message
string

Bad request error

Max length255
Pattern^.+$
code
string

BAD_REQUEST

Valid values[ "BAD_REQUEST" ]
401

Unauthorized — token is missing or invalid

object
message
string

Unauthorized access

Max length255
Pattern^.+$
code
string

UNAUTHORIZED

Valid values[ "UNAUTHORIZED" ]
403

Forbidden — insufficient permissions

object
message
string

Permission error

Max length255
Pattern^.+$
code
string

PERMISSION_ERROR

Valid values[ "PERMISSION_ERROR" ]
404

Workspace not found

object
message
string

Not found

Max length255
Pattern^.+$
code
string

NOT_FOUND

Valid values[ "NOT_FOUND" ]
422

Unprocessable entity — request failed validation

object
message
string

Validation failed for the request parameters

Max length255
Pattern^.+$
code
string

UNPROCESSABLE_ENTITY

Valid values[ "UNPROCESSABLE_ENTITY" ]
429

Too many requests - rate limit exceeded.

object
message
string

Too many requests

Max length255
Pattern^.+$
code
string

TOO_MANY_REQUESTS

Valid values[ "TOO_MANY_REQUESTS" ]
500

Internal server error

object
message
string

Internal server error

Max length255
Pattern^.+$
code
string

INTERNAL_SERVER_ERROR

Valid values[ "INTERNAL_SERVER_ERROR" ]